;このファイルはカリビアンコムの設定です。

[generic]

;サイトの名称。画面上のボタンの名称として使用。
SiteName=カリビアンコム
; 固定文言
FixedStr=カリビアンコム
;2025/07現在 EUC-JP
PageEncoding=EUC-JP

;最初のURL。年齢認証の画面を出すことができるページであること。ただし実際は年齢認証が必要ない
TopPage=https://www.caribbeancom.com/

;サイト固有の型番生成
ProductCodePrepareScript=numeric_6-3_ProductCode_Prepare.ps1

;===== 検索URL。{PRODUCTCODE}は検索対象の型番に置き換えられる。
;      複数定義した場合はすべて実行される。
;      値名は任意だが数字を推奨、名前にかかわらず記述順。
[search]
1=https://www.caribbeancom.com/moviepages/{PRODUCTCODE}/index.html

[TitleList]

;検索結果からタイトル情報を抽出するための正規表現。
Regex=<h1[^>]*itemprop="name"[^>]*>(?<title>.*?)</h1>.*?'movie_id'.*?'(?<productcode>{PRODUCTCODE})'

[Title.1]
;パッケージ画像
1=<img[^>]*src="(?<pkgimgurl>/moviepages/{PRODUCTCODE}[^"]*l_l.jpg)"

[Title.2]
BodyFilter=<div id="main">.*?class= "movie-related
;出演者
1=itemprop="actor".*?<span[^>]*>(?<cast>[^<]*)</span></a>
;ジャンル
2=itemprop="genre"[^>]*>(?<genre>[^<]*)</a>
;配信日
3=itemprop="datePublished"[^>]*>(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2})[^<]*</span>
;シリーズ
4=<a[^>]*href="/series/[^>]*>(?<series>[^<]*)</a>
